import { WidgetBase } from '@csnext/cs-client';
import { DocDatasource } from '../../datasources/doc-datasource';
import { ITool } from '../../classes/tool';
export default class Suggestions extends WidgetBase {
    tab: string;
    get source(): DocDatasource | undefined;
    startTool(tool: ITool): Promise<void>;
    contentLoaded(): void;
    mounted(): void;
}
